# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
Summary:	Maintains identical copies of files on multiple machines
Name:		rdist
Version:	6.1.5
Release:	alt1_36
License:	BSD
Group:		Networking/File transfer
URL:		https://www.magnicomp.com/rdist/
Source0:	ftp://ftp.sunet.se/pub/unix/admin/mirror-magnicomp/download/rdist/rdist-%{version}.tar.bz2
Patch0:		rdist-6.1.5-linux.patch
Patch1:		rdist-6.1.5-links.patch
Patch2:		rdist-6.1.5-oldpath.patch
Patch3:		rdist-6.1.5-environ.patch
Patch4:		rdist-6.1.5-build-os-type-linux-is-not-svr4.patch
# tmpfile security fix
Patch5:		rdist-6.1.5-tmpfile.patch
Patch6:		rdist-6.1.5-optflags.patch
Patch7:		rdist-6.1.5-bison.patch
Patch8:		rdist-6.1.5-varargs.patch
Patch9:		rdist-6.1.5-lfs.patch
BuildRequires:	bison
Source44: import.info

%description
The rdist program maintains identical copies of files on multiple hosts. If
possible, rdist will preserve the owner, group, mode and mtime of files and it
can update programs that are executing.

%prep
%setup -q
%patch0 -p1 -b .linux
%patch1 -p0 -b .links
%patch2 -p1 -b .oldpath
%patch3 -p0 -b .environ
%patch4 -p1 -b .ostype
%patch5 -p1 -b .tmpfile
%patch6 -p1 -b .optflags
%patch7 -p1 -b .bison
%patch8 -p1 -b .varargs
%patch9 -p1 -b .lfs

%build

make

%install
install -d %{buildroot}%{_bindir}
install -d %{buildroot}%{_sbindir}
install -d %{buildroot}%{_mandir}/{man1,man8}

install -m 0755 src/rdist %{buildroot}%{_bindir}
install -m 0755 src/rdistd %{buildroot}%{_sbindir}
ln -sf ../sbin/rdistd %{buildroot}%{_bindir}/rdistd

install -m0644 doc/rdist.man %{buildroot}%{_mandir}/man1/rdist.1
install -m0644 doc/rdistd.man %{buildroot}%{_mandir}/man8/rdist.8

%files
%doc README
%{_bindir}/*
%{_sbindir}/*
%{_mandir}/man*/*


%changelog
* Wed Apr 19 2023 Igor Vlasenko <viy@altlinux.org> 6.1.5-alt1_36
- update by mgaimport

* Sun Apr 10 2022 Cronbuild Service <cronbuild@altlinux.org> 6.1.5-alt1_35
- update by mgaimport

* Mon Jul 05 2021 Igor Vlasenko <viy@altlinux.org> 6.1.5-alt1_34
- update by mgaimport

* Sat Feb 15 2020 Igor Vlasenko <viy@altlinux.ru> 6.1.5-alt1_33
- update by mgaimport

* Thu Oct 04 2018 Igor Vlasenko <viy@altlinux.ru> 6.1.5-alt1_32
- update by mgaimport

* Sun Mar 18 2018 Igor Vlasenko <viy@altlinux.ru> 6.1.5-alt1_31
- new version

